Sitemap

Amicuk Programming Answers

SGD Portlet - Failed to build using Ant - UnsupportedClassVersionError

2015-10-11   Views:1

Advertisement

Hi, I've downloaded the Sun Secure Global Desktop portlet source code from here: https://portlet-repository.dev.java.net/public/Download.html and I'm trying to compile it using Ant. I have Ant 1.7.0 and I'm using JRE 1.4.2_15. For some reason, the An

Hi,
I've downloaded the Sun Secure Global Desktop portlet source code from here: https://portlet-repository.dev.java.net/public/Download.html and I'm trying to compile it using Ant.
I have Ant 1.7.0 and I'm using JRE 1.4.2_15. For some reason, the Ant task fails. Using the -debug and -logfile options, it points to a VersionTask class error:
Adding reference: ant.PropertyHelper
Detected Java version: 1.4 in: C:\Program Files\Java\j2sdk1.4.2_15\jre
Detected OS: Windows XP
Adding reference: ant.ComponentHelper
Setting ro project property: ant.file -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build.xml
Adding reference: ant.projectHelper
Adding reference: ant.parsing.context
Adding reference: ant.targets
parsing buildfile C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build.xml with URI = file:/C:/Documents%20and%20Settings/Administrator/My%20Documents/Projects/2007/Bell/Sun%20SGD/sgdportlet/build.xml
Setting ro project property: ant.project.name -> SGD Portlet
Adding reference: SGD Portlet
Setting ro project property: ant.file.SGD Portlet -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build.xml
Project base dir set to: C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet
+Target:
+Target: all
+Target: init
+Target: version
+Target: compile
+Target: dist
+Target: clean
[antlib:org.apache.tools.ant] Could not load definitions from resource org/apache/tools/ant/antlib.xml. It could not be found.
Setting project property: src -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\src
Setting project property: build.top -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build
Setting project property: build.webinf -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build\WEB-INF
Setting project property: build.classes -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build\WEB-INF\classes
Setting project property: dist -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\dist
Setting project property: lib -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\lib
Setting project property: web -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\web
Setting project property: tools -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\tools
Setting project property: webinf -> C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\web\WEB-INF
Finding class com.tarantella.tools.ant.tasks.VersionTask
Loaded from C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\lib\tarantella-tasks.jar com/tarantella/tools/ant/tasks/VersionTask.class
BUILD FAILED
C:\Documents and Settings\Administrator\My Documents\Projects\2007\Sun SGD\sgdportlet\build.xml:14: java.lang.UnsupportedClassVersionError: com/tarantella/tools/ant/tasks/VersionTask (Unsupported major.minor version 50.0)
     at org.apache.tools.ant.dispatch.DispatchUtils.execute(DispatchUtils.java:115)
I know this portlet code was just released this week, but has anybody had any success building the portlet into a .WAR file?
Thanks in advance!
Rob.

The replay answer
Advertisement
I figured it out... the tarantella-tasks.jar file had class files in it that were compiled using jdk 6, and the rest of the project was compiled using jdk 1.4.2. Luckily, the source code was there so that I could recompile the classes back to 1.4.2 and it now works.

Go to See the other 3 answers

SGD Portlet - Failed to build using Ant - UnsupportedClassVersionError

Category:DefaultRelease time:2015-10-11Views:130

Hi, I've downloaded the Sun Secure Global Desktop portlet source code from here: https://portlet-repository.dev.java.net/public/Download.html and I'm trying to compile it using Ant. I have Ant 1.7.0 and I'm using JRE 1.4.2_15. For some reason, the An[More]

XSS SCA import in CMS error: failed to build

Category:DefaultRelease time:2015-10-11Views:130

We are getting error when trying to build XSS Track in NWDI. There are 2 brocken DC for development track. Here is the error message that we get: Development Component Build (2008-11-28 22:04:10)   Component name: mss/mol   Component vendor: sap.com[More]

Server subsys tem failed. Reason: java.lang.UnsupportedClassVersionError

Category:DefaultRelease time:-0001-11-30Views:130

Hello! Is not possible to run WebLogic 10R3 with JAVA 5? <24/Nov/2009 10H14m GMT> <Info> <WebLogicServer> <BEA-000377> <Starting WebLogic Server with Java HotSpot(TM) Client VM Version 1.5.0_22-b03 from Sun Microsyste ms Inc.>[More]

Gem::Ext::BuildError: ERROR: Failed to build gem native extension.

Category:DefaultRelease time:-0001-11-30Views:130

I can't install gem pg: Gem::Ext::BuildError: ERROR: Failed to build gem native extension. /home/alex/.rvm/rubies/ruby-2.1.1/bin/ruby extconf.rb checking for pg_config... no No pg_config... trying anyway. If building fails, please try again with --wi[More]

"Generation failed" - DC build failed!

Category:DefaultRelease time:-0001-11-30Views:130

Hi,     I have two DCs: Comp A and Comp B. If I build Comp A or Comp B it's OK ! If I import comp B public part into compA and I build comp A it's OK! If I add in used web dynpro component of comp A, a component of comp B and I build comp A, the buil[More]

[SOLVED] l2tp-ipsec-vpn-daemon from AUR fails to build

Category:DefaultRelease time:2015-10-11Views:130

Please let me know if there are other details that require posting:- ==> Starting build()... /usr/bin/qmake -o qttmp-Release.mk -after "OBJECTS_DIR=build/Release" "DESTDIR=dist/Release" nbproject/qt-Release.pro mv -f qttmp-Release.m[More]

Failed to build StructureDefinition for - POJO Datacontrol

Category:DefaultRelease time:2015-10-11Views:130

Hi I found a message - "<BeanHandler> <getStructure> Failed to build StructureDefinition for : oracle.****.***.model.services.HomeService" in weblogic server log, while the pages renders completely, i did not define any action / acti[More]

Adding environment variable in build.xml(ANT)

Category:DefaultRelease time:-0001-11-30Views:130

Hi, I need some information Regarding ANT, the problem is i have to add a property file in build.xml (as a environment varialble) so that i can read it in my java code. as System.getProperty(""). Please sugggest me how to set environment variabl[More]

Formatting Failed. Building not successful. See log.

Category:DefaultRelease time:-0001-11-30Views:130

I keep getting a 'Formatting Failed. Building not successful. See log.' error every time I try to burn a project. I created the movie using Final Cut Pro, exported it to Compressor, and then submitting it using the DVD: Best Quality 120 minutes prese[More]

Changes to MXML fail to build

Category:DefaultRelease time:-0001-11-30Views:130

I imported a flex archive file but when Changes to MXML file they fail to build when I run the application. Flex builder keeps build a different Flex project. How to get it to build the current project I'm working on? I'm also not getting syntax high[More]

[SOLVED] nVidia 87.76 Drivers installer fails to build kernel module

Category:DefaultRelease time:-0001-11-30Views:130

Hey, I have a nVidia GeForce2 Integrated graphics card on my Asus A7N266 motherboard. According to the nVidia site, http://www.nvidia.com/object/IO_32667.html, the most recent driver that supports this is the 96.xx series. Yet as shown here, http://w[More]

Hot
I have encountered an issue about Scheduling Agreements. Some items inside the SA's  are corrupted and shows Gross price conditions which should not be the case since this is a ZLP-type SA (SA for Planners). As consequence, when we GR for this materi [More]
I have a main VI with ~10 subVIs, all of which have a number of default constants embedded. I want to change my architecture so that all the constants are moved to a single ASCII text file which is not changed during program execution. I'm trying to [More]
I plugged another iPhone into my i tunes now that phone cannot connect to facebook and other appsiOS: Device disabled after entering wrong passcode               http://support.apple.com/kb/ht1212Read other 2 answers [More]
I got a new iMac with the mini jack combo output (so you can plug in headphones / speakers or use it as an optical output). I'd like to hook up a set of optical speakers and a set of analog speakers. I was wondering since the headphone jack on the ba [More]
How do I get my custom icon to be transparent in finder? Snapshot: Suggestions?Thanks dude!!! I do not know why .PNG's created in Adobe Photoshop with the transparent background do not play well with finder, but do so in the "get info" window in [More]
Hi friends, According to my project requirements, I need to create tables in a different schema than the default location provided. hence I have created my tables using the SQL client rather than creating the Dictionary project and then deploying. Bu [More]
Hi all, The components in a JFrame appears fine in 1024*768 ScreenResolution but when it is seen in 800*600 ScreenResolution ,some of the components just dont show up though I am using GridBagLayout. Any solutions on this one would be highly apprecia [More]
I have an HP Pavilion g6 with Windows 7 Home OS. I have no repair disc/install disk as I bought it brand new with the OS already installed and ready to use.  I bought it in Fall 2011, so my warranty is out and I can't get help from Tech because they [More]
I wrote the following script, but I am unable to validate it. I get the following error message; Error: 1012016 Cannot calculate dimension member [MoM] with restricted member [M01]. When I remove the Year Total from the Fix, then I'm getting another [More]
I have powerpoint presentations that I would like to display on my ipad but do not know how to convert them.  Any suggestions?Load any of the several apps that can view PowerPoint files - options include Keynote for iOS, Documents 2 Go,  Quickoffice [More]